package com.example.gaugebug;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.widget.FrameLayout;

import com.steema.teechart.TChart;
import com.steema.teechart.drawing.Color;
import com.steema.teechart.styles.CircularGauge;
import com.steema.teechart.styles.Series;

public class MainActivity extends Activity {

	
	TChart GaugeChart;
	
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		
		GaugeChart = new TChart(this);
		FrameLayout GaugeLayout = (FrameLayout) findViewById(R.id.Gauge);
		
		
        Series CircularGauge = new CircularGauge(GaugeChart.getChart());
        
        ((CircularGauge)CircularGauge).setValue(6);
        ((CircularGauge)CircularGauge).setMinimum(0);
        ((CircularGauge)CircularGauge).setMaximum(10);
        
        ((CircularGauge)CircularGauge).getAxis().setIncrement(1);
        
        ((CircularGauge)CircularGauge).setRedLineStartValue(0);        
        ((CircularGauge)CircularGauge).setRedLineEndValue(2);          
        ((CircularGauge)CircularGauge).setGreenLineStartValue(2);      // The Bug starts around 3 : 30%
        ((CircularGauge)CircularGauge).setGreenLineEndValue(10);
        
        ((CircularGauge)CircularGauge).getGreenLine().getGradient().setUseMiddle(true);
        ((CircularGauge)CircularGauge).getRedLine().getGradient().setUseMiddle(true);
        
        ((CircularGauge)CircularGauge).getRedLine().getGradient().setStartColor(Color.AQUA);
        ((CircularGauge)CircularGauge).getRedLine().getGradient().setMiddleColor(Color.AQUA);
        ((CircularGauge)CircularGauge).getRedLine().getGradient().setEndColor(Color.RED);
        
        ((CircularGauge)CircularGauge).getGreenLine().getGradient().setStartColor(Color.GREEN);
        ((CircularGauge)CircularGauge).getGreenLine().getGradient().setMiddleColor(Color.BLUE);
        ((CircularGauge)CircularGauge).getGreenLine().getGradient().setEndColor(Color.GREEN);
        GaugeLayout.addView(GaugeChart);
		
		
		
		
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

}
